Bug 869588 - Port quagga to new net-snmp AgentX interface
Port quagga to new net-snmp AgentX interface
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 06:46 EDT by Adam Tkac
Modified: 2013-04-30 19:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 09:31:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2012-10-24 06:46:12 EDT
Description of problem:
quagga currently uses deprecated SMUX interface for communicating with net-snmp. quagga should be ported to new AgentX protocol before net-snmp drops SMUX support.
Comment 1 Jan Synacek 2012-11-08 02:52:30 EST
AgentX support seems to have already been implemented in upstream:

http://git.savannah.gnu.org/cgit/quagga.git/commit/?id=18a4e3715f89337ac8b70f6f63cc131c3218c82c
Comment 2 Fedora Admin XMLRPC Client 2013-04-02 09:24:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Adam Tkac 2013-04-02 09:31:47 EDT
Already fixed in quagga-0.99.22-2.fc19

Note You need to log in before you can comment on or make changes to this bug.